Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225091 - bc does not build with the version of m4 present
Summary: bc does not build with the version of m4 present
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: m4
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Vitezslav Crhonek
QA Contact: David Lawrence
URL: http://bugs.centos.org/view.php?id=1652
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-28 22:11 UTC by Johnny Hughes
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: 1.4.5-3.el5.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-25 10:52:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Johnny Hughes 2007-01-28 22:11:33 UTC
Description of problem:
bc does not build with the version of m4 present in RHEL-5b2 (m4-1.4.5-3).

It fails in the beginning at the autoconf statement with this error:

configure.in:4: /usr/bin/m4: Warning: sub-expression 1 not present
autom4te: /usr/bin/m4 failed with exit status: 1
error: Bad exit status from /var/tmp/rpm-tmp.49509 (%build)

It will build with the m4 version in fc6 (rebuilt on RHEL-5b2) (m4-1.4.5-4).

This bug is also reported on the CentOS bugtracker here:
http://bugs.centos.org/view.php?id=1652




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Zdenek Prikryl 2007-07-26 11:44:48 UTC
I tried to built bc with:

bc 1.06-21
autoconf 2.59-12
m4 1.4.5-3el5.1

and package bc built correctly.

Could maintainer of m4 check this bug to, please?

Thanks,
Zdenek

Comment 2 Vitezslav Crhonek 2007-07-30 11:50:12 UTC
Hi,

Latest RHEL-5 m4 package is 1.4.5-3.el5.1 with backported regexp substitution
fixes from m4-1.4.6. You definitely need m4 with these fixes (see bug #221557
for more details), previous RHEL-5 m4 package 1.4.5-3 will not work.


Note You need to log in before you can comment on or make changes to this bug.